package com.rehome.jpahefengweather.dto;


import com.rehome.jpahefengweather.utils.MapUtil;
import java.util.Map;

/**
 * @author HuangWenFei
 * @version v1.0.0.0
 * Created DateTime 2022-05-01 16:22
 */
//@ApiModel(value = "TyphoonTfidDto", description = "实时天气数据")
public class TyphoonTfidDto {
    //@ApiModelProperty("数据观测时间")
    private String tfid;


    /**
     * 根据 map 还原 MaintenanceTemporaryFindDto
     *
     * @param map 映射map
     * @return com.rehome.jpahefengweather.dto.BaseDto
     * @author HuangWenFei
     * Created DateTime 2022-04-19 10:02
     */
    public static TyphoonTfidDto ofSelfMap(Map<String, Object> map) {
        return MapUtil.fromMap(map, TyphoonTfidDto.class);
    }

    public String getTfid() {
        return tfid;
    }

    public void setTfid(String tfid) {
        this.tfid = tfid;
    }
}